Secunia CSI7
Advisories
Research
Forums
Create Profile
Our Commitment
PSI
PSI API
CSI
OSI
xSI
Vulnerabilities
Programs
Open Discussions
My Threads
Create Thread
Statistics
About

Forum Thread: Microsoft .NET Framework 1.x 1.1.4322.2032 is insecure

You are currently viewing a forum thread in the Secunia Community Forum. Please note that opinions expressed here are not of Secunia but solely reflect those of the user who wrote it.

This thread was submitted in the following forum:
Programs

Relating to this vendor:
Microsoft
And, this specific program:
Microsoft .NET Framework 1.x

This thread has been marked as locked.
JCS Microsoft .NET Framework 1.x 1.1.4322.2032 is insecure
Member 9th Sep, 2009 01:23
Ranking: 0
Posts: 17
User Since: 29th Feb, 2008
System Score: N/A
Location: N/A
Microsoft .NET Framework 1.x 1.1.4322.2032 is insecure - how do I fix this?

Slamgeden RE: Microsoft .NET Framework 1.x 1.1.4322.2032 is insecure
Member 9th Sep, 2009 10:24
Score: 0
Posts: 181
User Since: 17th Jul 2009
System Score: N/A
Location: N/A
Download and install the solution? Just use Microsoft Update i think.

--
Assorted Fnords.
Was this reply relevant?
+0
-0
Maurice Joyce RE: Microsoft .NET Framework 1.x 1.1.4322.2032 is insecure
Handling Contributor 9th Sep, 2009 10:44
Score: 11569
Posts: 8,887
User Since: 4th Jan 2009
System Score: N/A
Location: UK
NetFramework 1 is very old. It is highly unlikely there are any legacy issues with programmes U have installed. I have not had it installed for years.

As an insurance policy note this download link to reinstall.

http://www.microsoft.com/downloads/details.aspx?Fa...

Now uninstall Netframework 1 using Control Panel>add/remove. It has got the odd hotfix they may also require removing.

Netframework 2/3/3.5 should be retained.



--
Maurice

Windows 7 SP1 64 Bit OS
HP Intel Pentium i7
IE 11 for Windows 7 SP1
16GB RAM
Was this reply relevant?
+0
-0
JCS RE: Microsoft .NET Framework 1.x 1.1.4322.2032 is insecure
Member 9th Sep, 2009 19:17
Score: 0
Posts: 17
User Since: 29th Feb 2008
System Score: N/A
Location: N/A
Let me expand. I am running Windows XP. Also using an HP Officejet 6210 All-in-one printer. I reinstalled the HP printer software and this installed .Net Framework 1.0, so I need to use .Net Framework 1.x.
Was this reply relevant?
+0
-0
JCS RE: Microsoft .NET Framework 1.x 1.1.4322.2032 is insecure
Member 9th Sep, 2009 19:21
Score: 0
Posts: 17
User Since: 29th Feb 2008
System Score: N/A
Location: N/A
Microsoft update doesn't do anything at all. Nothing found to download. Thanks.
Was this reply relevant?
+0
-0
wr RE: Microsoft .NET Framework 1.x 1.1.4322.2032 is insecure
Contributor 9th Sep, 2009 21:55
Score: 308
Posts: 736
User Since: 30th Mar 2008
System Score: 100%
Location: US
Hi all,
Latest I could find was SP1 for >NET Framework 1.x here: http://www.microsoft.com/downloads/details.aspx?fa...

--
HP Pavilion Slimline s3020n
Windows Vista Home Premium SP2 32 bit
AMD 64 Athlon X2
Firefox 24.4.0 ESR
The weakest link of a computer system is always sitting in front of the monitor.
Was this reply relevant?
+0
-0
JCS RE: Microsoft .NET Framework 1.x 1.1.4322.2032 is insecure
Member 9th Sep, 2009 22:20
Score: 0
Posts: 17
User Since: 29th Feb 2008
System Score: N/A
Location: N/A
Thanks, I have already installed Microsoft .NET Framework 1.1 Service Pack 1 to no avail.
Was this reply relevant?
+0
-0
Maurice Joyce RE: Microsoft .NET Framework 1.x 1.1.4322.2032 is insecure
Handling Contributor 9th Sep, 2009 22:34
Score: 11569
Posts: 8,887
User Since: 4th Jan 2009
System Score: N/A
Location: UK
What is the path to the vulnerability?

To locate the exact file that the Secunia PSI has detected, please follow there guidelines using the
ADVANCED interface:
¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯
* Click on the + sign of the programme to “expand’ it.
* Click on Technical Details in the Toolbox to see the installation path of the detected file.


--
Maurice

Windows 7 SP1 64 Bit OS
HP Intel Pentium i7
IE 11 for Windows 7 SP1
16GB RAM
Was this reply relevant?
+0
-0
JCS RE: Microsoft .NET Framework 1.x 1.1.4322.2032 is insecure
Member 9th Sep, 2009 22:36
Score: 0
Posts: 17
User Since: 29th Feb 2008
System Score: N/A
Location: N/A
The path quoted is:

C:\WINDOWS\Microsoft.NET\Framework\v1.1.4322\aspne t_wp.exe

Thanks
Was this reply relevant?
+0
-0
Slamgeden RE: Microsoft .NET Framework 1.x 1.1.4322.2032 is insecure
Member 10th Sep, 2009 09:33
Score: 0
Posts: 181
User Since: 17th Jul 2009
System Score: N/A
Location: N/A
Why do you need .NET 1? Are you sure you really need this old and insecure application? I'd advice you to remove it, and use a newer version.

--
Assorted Fnords.
Was this reply relevant?
+0
-0
JCS RE: Microsoft .NET Framework 1.x 1.1.4322.2032 is insecure
Member 14th Sep, 2009 22:11
Score: 0
Posts: 17
User Since: 29th Feb 2008
System Score: N/A
Location: N/A
Last edited on 14th Sep, 2009 22:11
I consulted HP printer support. They said:

Thank you for contacting HP Customer Care.
>
> I gather from your mail that you are facing an issue with your HP Officejet
> 6210 All-in-One Printer as it displays a message that says "This
> installation of Microsoft .NET Framework 1.x is insecure and potentially
> exposes your system to security threats" when you try install the Printer driver
>
> The Printer driver installs the .NET Framework 1.x by default and is
> required for the Printer driver to function properly. It is popping with
> that message since the updated version for .NET Framework is available for download.
>
> I request you to click on following link and download the latest .NET
> Framework for your Printer and then install the drivers.
>
>
> http://www.microsoft.com/downloads/details.aspx?Fa...

I uninstalled .NET Framework 1.1 and then used the link supplied. This installed .NET Framework 2.0 and .NET Framework 3.0.

All seems in order now.
Was this reply relevant?
+0
-0
Maurice Joyce RE: Microsoft .NET Framework 1.x 1.1.4322.2032 is insecure
Handling Contributor 15th Sep, 2009 00:08
Score: 11569
Posts: 8,887
User Since: 4th Jan 2009
System Score: N/A
Location: UK
@JCS
Thank U for posting back. That would be correct as I pointed out on my previous post.

U should now have the following in Control Panel>Add/Remove

NetFramework 2 SP2
NetFramework 3 SP2
NetFramework 3.5 SP1

--
Maurice

Windows 7 SP1 64 Bit OS
HP Intel Pentium i7
IE 11 for Windows 7 SP1
16GB RAM
Was this reply relevant?
+0
-0
voosle RE: Microsoft .NET Framework 1.x 1.1.4322.2032 is insecure
Member 16th Sep, 2009 13:27
Score: 0
Posts: 1
User Since: 22nd Jul 2009
System Score: N/A
Location: N/A
Hi to all,

on my mashine I have the same issue. But I just upgraded to Windows7 64bit.

Windows Update do no find any updates.

So I guess that is an error of the patch detection of PSI ?!

regards
Heiko
Was this reply relevant?
+0
-0
Maurice Joyce RE: Microsoft .NET Framework 1.x 1.1.4322.2032 is insecure
Handling Contributor 16th Sep, 2009 22:09
Score: 11569
Posts: 8,887
User Since: 4th Jan 2009
System Score: N/A
Location: UK
Last edited on 16th Sep, 2009 22:12
PSI does not support Windows 7 therefore U may well find the odd error.

http://secunia.com/vulnerability_scanning/personal...

--
Maurice

Windows 7 SP1 64 Bit OS
HP Intel Pentium i7
IE 11 for Windows 7 SP1
16GB RAM
Was this reply relevant?
+0
-0
stboe RE: Microsoft .NET Framework 1.x 1.1.4322.2032 is insecure
Member 8th Dec, 2009 23:29
Score: 0
Posts: 1
User Since: 15th Jul 2009
System Score: N/A
Location: N/A
on 9th Sep, 2009 01:23, JCS wrote:
Microsoft .NET Framework 1.x 1.1.4322.2032 is insecure - how do I fix this?

Was this reply relevant?
+0
-0

This thread has been marked as locked.


 Products Solutions Customers Partner Resources Company
 
 Corporate
Vulnerability Intelligence Manager (VIM)
Corporate Software Inspector (CSI)
Consumer
Personal Software Inspector (PSI)
Online Software Inspector (OSI)
 Industry
Compliance
Technology
Integration
 Customers
Testimonials
 VARS
MSSP
Technology Partners
References
 Reports
Webinars
Events
 About us
Careers
Memberships
Newsroom


 
© 2002-2014 Secunia ApS - Rued Langgaards Vej 8, 4th floor, DK-2300 Copenhagen, Denmark - +45 7020 5144
Terms & Conditions and Copyright - Privacy - Report Vulnerability